Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.utils
Class SAXUtils

    java.lang.Object
      fr.gouv.culture.sdx.utils.SAXUtils

    public class SAXUtils

extends java.lang.Object

Statics methods utilities for SAX

Constructor Summary
`SAXUtils()`

Method Summary
`static java.lang.String` | `prefixNodeName(java.lang.String prefix, java.lang.String elemName)`
`static void` | `sendElement(org.xml.sax.ContentHandler handler, java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts, java.lang.String elemContent)` Sends a element with the simple character content provided by the `elemContent` param
`static void` | `sendElementContent(org.xml.sax.ContentHandler handler, java.lang.String content)` Sends character content from the provided string
`static void` | `sendElementContent(org.xml.sax.ContentHandler handler, java.lang.String content, boolean escape)` Sends character content from the provided string and filters non XML characters
`static void` | `sendElementContent(org.xml.sax.ContentHandler handler, java.lang.String content, boolean escape, java.lang.Character replace)` Sends character content from the provided string and replaces non XML characters by another character, space by default.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXUtils

    public SAXUtils()

Method Detail

### prefixNodeName

    public static java.lang.String prefixNodeName(java.lang.String prefix,
                                                  java.lang.String elemName)

### sendElement

    public static void sendElement(org.xml.sax.ContentHandler handler,
                                   java.lang.String uri,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   org.xml.sax.Attributes atts,
                                   java.lang.String elemContent)
                            throws org.xml.sax.SAXException

  Sends a element with the simple character content provided by the `elemContent` param

  Parameters:
    `uri` - The namespace uri
    `localName` - The local name
    `qName` - The qualified name
    `atts` - The attributes
    `elemContent` - The character content
  Throws:
    `org.xml.sax.SAXException`

### sendElementContent

    public static void sendElementContent(org.xml.sax.ContentHandler handler,
                                          java.lang.String content)
                                   throws org.xml.sax.SAXException

  Sends character content from the provided string

  Parameters:
    `content` - The string of characters to send
  Throws:
    `org.xml.sax.SAXException`

### sendElementContent

    public static void sendElementContent(org.xml.sax.ContentHandler handler,
                                          java.lang.String content,
                                          boolean escape)
                                   throws org.xml.sax.SAXException

  Sends character content from the provided string and filters non XML characters

  Parameters:
    `handler` - The ContentHandler
    `content` - The String to sends
    `escape` - Boolean to activate the filter on non XML characters
  Throws:
    `org.xml.sax.SAXException`

### sendElementContent

    public static void sendElementContent(org.xml.sax.ContentHandler handler,
                                          java.lang.String content,
                                          boolean escape,
                                          java.lang.Character replace)
                                   throws org.xml.sax.SAXException

  Sends character content from the provided string and replaces non XML characters by another character, space by default. See http://www.w3.org/TR/2004/REC-xml-20040204/#charsets

  Parameters:
    `handler` - The contentHandler
    `content` - The String to sends
    `escape` - Boolean to activate the filter on non XML characters
    `replace` - The String used to replace non XML character. Default is space " "
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.